{% extends "base.html" %}

{% load static %}

{% block title %} My Profile {% endblock %}

{% block styles %}

<link rel="stylesheet" type="text/css" href="{% static 'css/profile.css' %}">

{% endblock %}

{% block content %}

<div class="container">
    <div class="profile-row row">
        <div class="col-md-4">
            <div class="photo-container container-fluid text-center">
                <img src="{% static 'img/people.png' %}" alt="profile photo" class="profile-photo"><br>
            </div>
        </div>
        <div class="col-md-6">
            <div class="data-container container-fluid">
                <div class="profile-container">
                    <h3 class="name-owner">{{ owner.first_name }} {{ owner.last_name }}</h3>
                    <p>{{prof.owner_city}}, {{prof.owner_country}} - {{ prof.owner_zipcode }}</p>
                </div> 
            </div>
        </div>
    </div>
</div>
<h3 class="headings text-center">List of the pets</h3>
<hr class="horizontal text-center">
<div class="container pt-2 pb-4">
    <div class="row">
        {% for pet in pet %}
        <div class="col-md-4 text-center">
            <div class="petbox">
                {% for photo in photo_list %}
                    {% if photo.pet == pet %}
                        <div class="pet-photo mx-auto" style="
                            background: url('{{ photo.photo.url }}') no-repeat center center;
                            background-size: cover;
                            -webkit-background-size: cover;
                            -moz-background-size: cover;
                            -o-background-size: cover;
                        "></div>
                        <!-- <img src="{{ photo.photo.url }}" alt="pet photo"><br> -->
                    {% endif %}
                {% endfor %}
                <h5 class="pb-1 my-0">{{ pet.pet_name }}</h5>
                {{ pet.pet_type }} - {{ pet.pet_age }} - {{ pet.pet_breed }}<br>
                <i>{{ pet.owner_city }}, {{ pet.owner_country }}</i><br>
                <a href="/detail/{{ pet.id }}/"><button type="button" class="btn white-btn w-75 mt-2">More info</button></a>
            </div>
        </div>
        {% endfor %}
    </div>
</div>
{% endblock %}